The following interpolator types all operate on regular grids.
* The `BilinearInterpolator` and `BicubicInterpolator` will work with any regular, unevenly spaced grids.
* The `BicubicSplineInterpolator` expects uniform spacing in each dimension, although the spacing on one axis doesn't have to match the other. This interpolator estimates derivatives using finite differences to construct the splines.
* The `BichebyshevInterpolator` must have the usual Chebyshev spacing in each direction, but it can have a different number of points on each axis.

------

Interpolators | Method
 :-- | :--
[`BilinearInterpolator`](@ref) | piecewise linear
[`BicubicInterpolator`](@ref) | piecewise cubic (no smoothness guarantee)
[`BichebyshevInterpolator`](@ref) | [Chebyshev expansions](chebyshev.md)

------

```@docs
BilinearInterpolator
BicubicInterpolator
BichebyshevInterpolator
```
